// ignore_for_file: non_constant_identifier_names
part of 'google_map_view.widget.dart';

class _IOSMapDelegate extends NSObject with GMSMapViewDelegate {
  OnMarkerClicked onMarkerClicked;
  // OnMarkerDrag onMarkerDragStarted;
  // OnMarkerDrag onMarkerDragging;
  // OnMarkerDrag onMarkerDragEnded;
  // OnMapClicked onMapClicked;
  // OnMapClicked onMapLongClicked;
  // OnMapMove onMapMoveStart;
  // OnMapMove onMapMoving;
  // OnMapMove onMapMoveEnd;
  // _OnRequireAlwaysAuth onRequireAlwaysAuth;
  // OnLocationChange onLocationChange;
  // OnMarkerClicked onInfoWindowClicked;
  // OnMultiPointClicked onMultiPointClicked;

  GMSMapView iosController;

  @override
  Future<bool> mapView_didTapMarker(
    GMSMapView mapView,
    GMSMarker marker,
  ) async {
    super.mapView_didTapMarker(mapView, marker);
    if (onMarkerClicked != null) {
      onMarkerClicked(Marker.ios(marker));
    }
    return true;
  }
}

class _AndroidMapDelegate extends java_lang_Object
    with com_google_android_gms_maps_GoogleMap_OnMarkerClickListener {
  OnMarkerClicked onMarkerClicked;
  // OnMarkerDrag onMarkerDragStarted;
  // OnMarkerDrag onMarkerDragging;
  // OnMarkerDrag onMarkerDragEnded;
  // OnMapMove onMapMoveStart;
  // OnMapMove onMapMoving;
  // OnMapMove onMapMoveEnd;
  // OnMapClicked onMapClicked;
  // OnMapClicked onMapLongClicked;
  // ValueChanged<Uint8List> onSnapshot;
  // OnLocationChange onLocationChange;
  // OnMarkerClicked onInfoWindowClicked;
  // OnMultiPointClicked onMultiPointClicked;

  @override
  Future<bool> onMarkerClick(
    com_google_android_gms_maps_model_Marker var1,
  ) async {
    super.onMarkerClick(var1);
    if (onMarkerClicked != null) {
      await onMarkerClicked(Marker.android(var1));
    }
    return true;
  }
}
